Bug 55647

Summary: Error while reading content from XLSX filess.
Product: POI Reporter: Kalidasan <kalidasan.r>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: blocker CC: kalidasan.r
Priority: P2    
Version: 3.6-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: HP-UX   

Description Kalidasan 2013-10-10 14:40:13 UTC
We bump on this issue randomly while trying to read data from Excel files and when there are more than one application running on the server, the job fails with the following exception

File not found: /var/tmp/poifiles/poi-ooxml-139277053.tmp (Permission denied (errno:13))


It looks like it has issues in creating a temporary files since a file may have been created earlier or some other job is using the temp file location. 

Also since the job is running on the server, we may not be able to change the java.io.tmpdir location since it may impact other applications. 

We will like to know is there any work around or is this issue has been resolved in new versions of POI

Thank you in advance
Comment 1 Nick Burch 2013-10-10 16:21:08 UTC
I've just taken a look at the TempFile logic, and spotted we didn't have a check to ensure that the temp file name randomly chosen wasn't already in use

In r1531040 I've added something to pick a new name if the first one is already taken, hopefully that'll help avoid this problem for you
Comment 2 Kalidasan 2013-10-11 03:41:37 UTC
Hi Nick,

Thanks a lot for the quick turnaround. Can you suggest the POI version in which we can expect this fix to be available? 


Regards,
Kalidasan
Mail to: kalidasan85@gmail.com


(In reply to Nick Burch from comment #1)
> I've just taken a look at the TempFile logic, and spotted we didn't have a
> check to ensure that the temp file name randomly chosen wasn't already in use
> 
> In r1531040 I've added something to pick a new name if the first one is
> already taken, hopefully that'll help avoid this problem for you
Comment 3 Kalidasan 2013-10-12 15:30:33 UTC
Hi Team,

Just reopening the ticket to get the details on the POI release in which we can expect the change to be available for download.


Do Appreciate your help.

Thank you,

Kalidasan
Comment 4 Nick Burch 2013-10-12 17:08:36 UTC
The fix is committed to svn trunk, so will be included in whatever the next release is